﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;
using Infragistics.Win.UltraWinTree;

namespace DockManagerMovingTabs
{
    public partial class Form1 : Form
    {
        private DockableControlPane dcpTreeView;
        private DockAreaPane dockArea;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dcpTreeView = new DockableControlPane("tree", "Tree View", this.treeView1);
            DockableControlPane dcpTreeView1 = new DockableControlPane("tree1", "Tree View1", this.treeView2);

            dockArea = new DockAreaPane(DockedLocation.DockedLeft);
            dockArea.ChildPaneStyle = ChildPaneStyle.HorizontalSplit;
            dockArea.Panes.Add(dcpTreeView);
            dockArea.Panes.Add(dcpTreeView1);
            this.ultraDockManager1.DockAreas.Add(dockArea);

            dockArea.Size = new Size(0, this.Height/2);
        }

        public Control  treeView1 { get; set; }
        public Control  treeView2 { get; set; }

        private void ultraTrackBar1_ValueChanged(object sender, EventArgs e)
        {
            dcpTreeView.Size = new Size(dcpTreeView.Size.Width, ultraTrackBar1.Value );
        }
    }
}
